import { e as Meta, f as MdxFile, F as Folder } from './types-d8551b90.js';
import 'gray-matter';
import 'mdast';
import 'next';
import 'react';
import 'zod';
import './constants.mjs';
import './index.d-3cc375e3.js';
import 'unist';
import 'vfile';
import 'rehype-pretty-code';

type Truthy<T> = T extends false | '' | 0 | null | undefined ? never : T;
declare function truthy<T>(value: T): value is Truthy<T>;
declare function normalizeMeta(meta: Meta): Exclude<Meta, string>;
declare function normalizePageRoute(parentRoute: string, route: string): string;
declare function pageTitleFromFilename(fileName: string): any;
declare function sortPages(pages: (Omit<MdxFile, 'route'> | Omit<Folder, 'route' | 'children'>)[], locale?: string): [string, string][];
declare function isSerializable(o: any): boolean;
/**
 * Calculate a 32 bit FNV-1a hash
 * Found here: https://gist.github.com/vaiorabbit/5657561
 * Ref.: http://isthe.com/chongo/tech/comp/fnv/
 *
 * @param {string} str the input value
 * @param {number} [seed] optionally pass the hash of the previous chunk
 * @returns {string}
 */
declare function hashFnv32a(str: string, seed?: number): string;
declare function getDefault<T>(module: T & {
    default?: T;
}): T;
declare const logger: {
    info: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
};

export { getDefault, hashFnv32a, isSerializable, logger, normalizeMeta, normalizePageRoute, pageTitleFromFilename, sortPages, truthy };
